Fully update (REPLACE) an existing contact by id synchronously.
Update entirely an existing contact by id synchronously in the Qomon database (behaves like PUT). Fully replace an existing contact in the Qomon database.
⚠️ Important:
- This endpoint uses the PATCH verb but behaves like a PUT (full replacement).
- Any fields that are NOT included in the payload will be cleared/removed.
- Always send the full contact object if you don’t want to lose existing data.
To synchronize and mass update your contacts with Qomon database, use the UPSERT route instead.
To specify the advanced fields (survey, consents, etc), you need to use the formdatas structure with form_id and form_ref_id.
form_id: the ID of the advanced fieldform_ref_id: the ID of the value of the advanced fielddata: free text if the field (“forms”) type is Text, Integer, or Date (input format:YYYY-MM-DD'T'HH:mm:ss.SSS'Z'; responses may return up to microsecond precision:YYYY-MM-DD'T'HH:mm:ss.SSSSSS'Z'); otherwise, use the value of the refvaluedate: the date of the formdata entry
"formdatas": [
{
"form_id": 47566,
"form_ref_id": 15648,
"data": "consent_email"
}
]
To specify the custom fields, you need to use the custom_fields structure with form_id and form_ref_id.
form_id: the ID of the custom fieldform_ref_id: the ID of the value of the custom fielddata: free text if the field (“forms”) type is Text, Integer, or Date (input format:YYYY-MM-DD'T'HH:mm:ss.SSS'Z'; responses may return up to microsecond precision:YYYY-MM-DD'T'HH:mm:ss.SSSSSS'Z'); otherwise, use the value of the refvaluedate: the date of the custom_field entry
"custom_fields": [
{
"form_id": 879854,
"form_ref_id": 98741,
"data": "hamburger",
"date": "2024-07-17T11:34:42.195Z"
}
]
NB :
- Each patch will generate new ids for formdatas and custom_fields. (due to the full replace behavior : soft delete + recreate)
- If you don’t send the exhaustive list of formdatas or custom_fields, the missing ones will be deleted (soft).
- For Text, Integer and Date Fields, If you add a formdata or custom_field, it will be added to the existing ones.
- For Radio (single select), If you add a formdata or custom_field, it will replace the existing ones.
- For Checkbox (multi-select) fields, any new value will be added to the existing ones.
- If you change a formdata or custom_field with, it will update it. (the id is not required here because of the full-replace behavior).
Documentation Index
Fetch the complete documentation index at: https://developer.qomon.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of contact to update
Body
The new values of the contact